CREATE SCHEMA IF NOT EXISTS buecher_public;

Set search_path to buecher_public;

CREATE TABLE buecher (
    titel VARCHAR(255),
    erscheinungsjahr INT,
    autor VARCHAR(255),
    genres VARCHAR(255),
    beschreibung VARCHAR(355)
);

INSERT INTO buecher (titel, erscheinungsjahr, autor, genres, beschreibung) VALUES
('Harry Potter und der Stein der Weisen', 1997, 'J.K. Rowling', 'Fantasy, Jugendbuch', 'Ein Junge erfährt an seinem elften Geburtstag, dass er ein Zauberer ist, und beginnt seine Ausbildung an der Hogwarts-Schule für Hexerei und Zauberei.'),
('Harry Potter und die Kammer des Schreckens', 1998, 'J.K. Rowling', 'Fantasy, Jugendbuch', 'Harry Potter kehrt für sein zweites Jahr nach Hogwarts zurück, wo eine dunkle Macht Schüler zu versteinern beginnt.'),
('Harry Potter und der Gefangene von Askaban', 1999, 'J.K. Rowling', 'Fantasy, Jugendbuch', 'Harrys drittes Jahr in Hogwarts wird durch die Flucht des gefährlichen Sirius Black aus Askaban geprägt.'),
('Harry Potter und der Feuerkelch', 2000, 'J.K. Rowling', 'Fantasy, Jugendbuch', 'Harry nimmt unfreiwillig am Trimagischen Turnier teil und steht gefährlichen Herausforderungen gegenüber.'),
('Harry Potter und der Orden des Phönix', 2003, 'J.K. Rowling', 'Fantasy, Jugendbuch', 'Harry gründet die DA, um seine Freunde gegen die Rückkehr von Voldemort zu wappnen, und entdeckt eine Prophezeiung über seine eigene Zukunft.'),
('Harry Potter und der Halbblutprinz', 2005, 'J.K. Rowling', 'Fantasy, Jugendbuch', 'Harry entdeckt ein geheimnisvolles Zaubertrankbuch und erfährt mehr über Voldemorts Vergangenheit und seine eigenen Gefühle.'),
('Harry Potter und die Heiligtümer des Todes', 2007, 'J.K. Rowling', 'Fantasy, Jugendbuch', 'Harry, Ron und Hermine begeben sich auf eine gefährliche Mission, um die Horkruxe zu zerstören und Voldemort zu besiegen.'),
('Sofies Welt', 1991, 'Jostein Gaarder', 'Roman, Philosophie', 'Ein junges Mädchen erhält mysteriöse Briefe, die sie in die Welt der Philosophie einführen.'),
('Die Bibel', 0, 'diverse Autoren', 'Religion, Historisch', 'Die heilige Schrift des Christentums, die aus dem Alten und dem Neuen Testament besteht.'),
('Per Anhalter durch die Galaxis', 1979, 'Douglas Adams', 'Science Fiction, Komödie', 'Ein Mensch wird kurz vor der Zerstörung der Erde von einem intergalaktischen Reisenden gerettet und erlebt absurde Abenteuer im Universum.'),
('Rubinrot', 2009, 'Kerstin Gier', 'Fantasy, Jugendbuch', 'Ein junges Mädchen entdeckt, dass sie die Fähigkeit hat, durch die Zeit zu reisen, und wird in eine geheimnisvolle Welt hineingezogen.'),
('Saphirblau', 2010, 'Kerstin Gier', 'Fantasy, Jugendbuch', 'Die junge Zeitreisende setzt ihre Abenteuer fort und versucht, das Geheimnis ihrer Familie zu lüften.'),
('Smaragdgrün', 2010, 'Kerstin Gier', 'Fantasy, Jugendbuch', 'Im Abschluss der Trilogie kämpft die Heldin gegen eine mächtige Bedrohung und entdeckt die wahre Bedeutung ihrer Fähigkeiten.'),
('Eragon - Das Vermächtnis der Drachenreiter', 2002, 'Christopher Paolini', 'Fantasy, Jugendbuch', 'Ein Bauernjunge entdeckt ein Drachenei und wird in einen epischen Kampf gegen das Böse hineingezogen.'),
('Der Auftrag des Ältesten', 2005, 'Christopher Paolini', 'Fantasy, Jugendbuch', 'Eragon setzt seine Ausbildung als Drachenreiter fort und bereitet sich auf den entscheidenden Kampf vor.'),
('Die Weisheit des Feuers', 2008, 'Christopher Paolini', 'Fantasy, Jugendbuch', 'Eragon und sein Drache Saphira stehen vor ihrer größten Herausforderung, als sie gegen einen mächtigen Feind kämpfen.'),
('Das Erbe der Macht', 2011, 'Christopher Paolini', 'Fantasy, Jugendbuch', 'Ein junger Halbgott kämpft gegen die Kräfte des Chaos, um die Welt zu retten.'),
('Der Fluch des Titanen', 2006, 'Rick Riordan', 'Fantasy, Jugendbuch', 'Percy Jackson und seine Freunde müssen einen gefährlichen Auftrag erfüllen, um die Welt der Götter und Menschen zu schützen.'),
('Die Schlacht um das Labyrinth', 2008, 'Rick Riordan', 'Fantasy, Jugendbuch', 'Percy und seine Freunde müssen sich im tödlichen Labyrinth zurechtfinden, um einen Krieg zu verhindern.'),
('Die letzte Göttin', 2010, 'Rick Riordan', 'Fantasy, Jugendbuch', 'Der finale Kampf gegen die Titanen steht bevor, und Percy muss all seine Kräfte mobilisieren, um die Welt zu retten.'),
('Märchen der Gebrüder Grimm', 1812, 'Gebrüder Grimm', 'Märchen', 'Eine Sammlung klassischer deutscher Märchen, die Generationen von Lesern verzaubert haben.'),
('Die Therapie', 2006, 'Sebastian Fitzek', 'Thriller', 'Ein Psychiater sucht nach seiner verschwundenen Tochter und stößt dabei auf dunkle Geheimnisse.'),
('Amokspiel', 2007, 'Sebastian Fitzek', 'Thriller', 'Ein Psychopath nimmt Geiseln in einem Radiosender und zwingt den Moderator, ein tödliches Spiel zu moderieren.'),
('Das Kind', 2008, 'Sebastian Fitzek', 'Thriller', 'Ein sterbenskrankes Kind behauptet, in einem früheren Leben ein Mörder gewesen zu sein, und ein Anwalt versucht, die Wahrheit herauszufinden.'),
('Der Seelenbrecher', 2008, 'Sebastian Fitzek', 'Thriller', 'Ein Psychopath sperrt seine Opfer in einer Klinik ein und bricht ihren Willen, ohne sie physisch zu verletzen.'),
('Splitter', 2009, 'Sebastian Fitzek', 'Thriller', 'Ein Mann wacht nach einem Unfall ohne Erinnerungen auf und muss die Puzzleteile seines Lebens zusammensetzen.'),
('Der Augensammler', 2010, 'Sebastian Fitzek', 'Thriller', 'Ein Serienmörder spielt ein grausames Spiel mit seinen Opfern und hinterlässt die Leichen ohne Augen.'),
('Der Augenjäger', 2011, 'Sebastian Fitzek', 'Thriller', 'Der Nachfolger des Augensammlers jagt seine Opfer, indem er ihnen das Augenlicht raubt.'),
('Abgeschnitten', 2012, 'Sebastian Fitzek', 'Thriller', 'Ein Gerichtsmediziner und eine Comiczeichnerin müssen einen grausamen Mörder stoppen, der die Leichen seiner Opfer verstümmelt.'),
('Der Nachtwandler', 2013, 'Sebastian Fitzek', 'Thriller', 'Ein Mann wacht nach einem Unfall ohne Erinnerungen auf und muss die Puzzleteile seines Lebens zusammensetzen.'),
('Passagier 23', 2014, 'Sebastian Fitzek', 'Thriller', 'Ein Polizist ermittelt auf einem Kreuzfahrtschiff, nachdem mehrere Passagiere spurlos verschwunden sind.'),
('Das Joshua-Profil', 2015, 'Sebastian Fitzek', 'Thriller', 'Ein erfolgloser Schriftsteller gerät ins Visier einer geheimen Organisation, die ihm Verbrechen vorwirft, die er noch nicht begangen hat.'),
('Das Paket', 2016, 'Sebastian Fitzek', 'Thriller', 'Eine Psychiaterin erhält ein mysteriöses Paket und wird in einen Strudel aus Verbrechen und Intrigen hineingezogen.'),
('Flugangst 7A', 2017, 'Sebastian Fitzek', 'Thriller', 'Ein Psychiater an Bord eines Flugzeugs wird gezwungen, ein gefährliches Spiel zu spielen, um das Leben seiner Mitpassagiere zu retten.'),
('Der Insasse', 2018, 'Sebastian Fitzek', 'Thriller', 'Ein Vater lässt sich freiwillig in eine Psychiatrie einweisen, um die Wahrheit über das Verschwinden seines Sohnes herauszufinden.'),
('Noah', 2013, 'Sebastian Fitzek', 'Thriller', 'Ein Mann ohne Erinnerung wacht in Berlin auf und entdeckt, dass er Teil einer globalen Verschwörung ist.');

INSERT INTO buecher (titel, erscheinungsjahr, autor, genres, beschreibung) VALUES
('Der Alchimist', 1988, 'Paulo Coelho', 'Roman, Abenteuer', 'Ein junger andalusischer Schafhirte namens Santiago träumt von einem Schatz in Ägypten und begibt sich auf eine Reise, um ihn zu finden.'),
('Die unendliche Geschichte', 1979, 'Michael Ende', 'Fantasy', 'Ein Junge namens Bastian entdeckt ein magisches Buch, das ihn in die Welt von Phantásien zieht, wo er selbst Teil der Geschichte wird.'),
('1984', 1949, 'George Orwell', 'Dystopie, Science Fiction', 'Ein dystopischer Roman über eine totalitäre Gesellschaft, in der der Staat totale Kontrolle über das Leben der Bürger ausübt.'),
('Der kleine Prinz', 1943, 'Antoine de Saint-Exupéry', 'Märchen, Philosophie', 'Ein Pilot trifft in der Wüste auf einen kleinen Prinzen von einem anderen Planeten und lernt wertvolle Lebenslektionen.'),
('Stolz und Vorurteil', 1813, 'Jane Austen', 'Romanze, Gesellschaftsroman', 'Die Liebesgeschichte von Elizabeth Bennet und Mr. Darcy in der englischen Oberschicht des 19. Jahrhunderts.'),
('Moby-Dick', 1851, 'Herman Melville', 'Abenteuer, Klassiker', 'Die epische Geschichte von Kapitän Ahabs Besessenheit, den weißen Wal Moby Dick zu jagen.'),
('Die Verwandlung', 1915, 'Franz Kafka', 'Novelle, Absurd', 'Ein Handelsreisender namens Gregor Samsa wacht eines Morgens auf und stellt fest, dass er sich in ein ungeheures Ungeziefer verwandelt hat.'),
('Krieg und Frieden', 1869, 'Leo Tolstoi', 'Historischer Roman, Klassiker', 'Ein epischer Roman über das Schicksal mehrerer adliger Familien während der Napoleonischen Kriege in Russland.'),
('Faust', 1808, 'Johann Wolfgang von Goethe', 'Drama, Tragödie', 'Die Tragödie des Gelehrten Faust, der seine Seele dem Teufel Mephistopheles verkauft, um unbegrenztes Wissen und weltliche Freuden zu erlangen.'),
('Der Name der Rose', 1980, 'Umberto Eco', 'Historischer Roman, Krimi', 'Ein mittelalterlicher Mönch und sein Novize untersuchen eine Serie mysteriöser Todesfälle in einem italienischen Kloster.');


INSERT INTO buecher (titel, erscheinungsjahr, autor, genres, beschreibung) VALUES
('Der Herr der Ringe: Die Gefährten', 1954, 'J.R.R. Tolkien', 'Fantasy, Abenteuer', 'Die Reise von Frodo Beutlin und seinen Gefährten, um den Einen Ring zu zerstören.'),
('Der Herr der Ringe: Die zwei Türme', 1954, 'J.R.R. Tolkien', 'Fantasy, Abenteuer', 'Frodo und Sam setzen ihre Reise nach Mordor fort, während der Rest der Gefährten gegen Saurons Armeen kämpft.'),
('Der Herr der Ringe: Die Rückkehr des Königs', 1955, 'J.R.R. Tolkien', 'Fantasy, Abenteuer', 'Der letzte Teil der Reise, in dem der Ring zerstört und der rechtmäßige König wieder eingesetzt wird.'),
('Der Hobbit', 1937, 'J.R.R. Tolkien', 'Fantasy, Abenteuer', 'Bilbo Beutlin wird auf eine unerwartete Reise mit Zwergen und dem Zauberer Gandalf geschickt, um einen Schatz zu finden.'),
('Dracula', 1897, 'Bram Stoker', 'Horror, Gothic', 'Die Geschichte des Grafen Dracula und seines Versuchs, in England neue Opfer zu finden.'),
('Frankenstein', 1818, 'Mary Shelley', 'Horror, Gothic', 'Ein Wissenschaftler erschafft ein lebendes Wesen aus totem Fleisch, das sich gegen ihn wendet.'),
('To Kill a Mockingbird', 1960, 'Harper Lee', 'Roman, Gesellschaft', 'Eine Geschichte über Rassismus und Ungerechtigkeit im amerikanischen Süden, erzählt aus der Perspektive eines jungen Mädchens.'),
('Great Expectations', 1861, 'Charles Dickens', 'Roman, Klassiker', 'Die Geschichte des Waisenjungen Pip und seine Reise vom Armenhaus zur Londoner Gesellschaft.'),
('Brave New World', 1932, 'Aldous Huxley', 'Dystopie, Science Fiction', 'Ein Blick in eine dystopische Zukunftsgesellschaft, in der Menschen durch Technik und Drogen kontrolliert werden.'),
('The Catcher in the Rye', 1951, 'J.D. Salinger', 'Roman, Klassiker', 'Die Geschichte des jungen Holden Caulfield und seine Erlebnisse in New York City.'),
('Jane Eyre', 1847, 'Charlotte Brontë', 'Roman, Gothic', 'Das Leben und die Liebesgeschichte der Waise Jane Eyre und des geheimnisvollen Mr. Rochester.'),
('Wuthering Heights', 1847, 'Emily Brontë', 'Roman, Gothic', 'Die tragische Liebesgeschichte von Heathcliff und Catherine Earnshaw auf den windgepeitschten Mooren.'),
('Les Misérables', 1862, 'Victor Hugo', 'Historischer Roman, Drama', 'Die Geschichte von Jean Valjean, einem ehemaligen Sträfling, der nach Erlösung sucht, während er vor dem gesetzestreuen Inspektor Javert flieht.'),
('Don Quixote', 1605, 'Miguel de Cervantes', 'Roman, Abenteuer', 'Die Abenteuer des exzentrischen Don Quixote und seines treuen Knappen Sancho Panza.'),
('Anna Karenina', 1877, 'Leo Tolstoi', 'Roman, Klassiker', 'Die tragische Liebesgeschichte der schönen und unglücklichen Anna Karenina in der russischen Gesellschaft.'),
('Moby-Dick', 1851, 'Herman Melville', 'Abenteuer, Klassiker', 'Die epische Geschichte von Kapitän Ahabs Besessenheit, den weißen Wal Moby Dick zu jagen.'),
('Ulysses', 1922, 'James Joyce', 'Roman, Moderne', 'Ein modernes Epos, das einen Tag im Leben von Leopold Bloom in Dublin beschreibt.'),
('Madame Bovary', 1857, 'Gustave Flaubert', 'Roman, Klassiker', 'Die Geschichte der unglücklichen Emma Bovary, die von einem glamouröseren Leben träumt.'),
('The Great Gatsby', 1925, 'F. Scott Fitzgerald', 'Roman, Klassiker', 'Eine tragische Geschichte über Liebe, Reichtum und das Streben nach dem amerikanischen Traum.'),
('Catch-22', 1961, 'Joseph Heller', 'Roman, Satire', 'Eine satirische Darstellung des Zweiten Weltkriegs und der Absurdität des Krieges durch die Augen von Captain Yossarian.');


GRANT USAGE ON SCHEMA buecher_public TO app;
GRANT SELECT ON ALL TABLES IN SCHEMA buecher_public to app;
