import json

# JSON-Datei lesen
with open('data2.json') as file:
    data = json.load(file)

# SQL-Skript generieren
create_table_sql = """
CREATE TABLE buecher (
    titel VARCHAR(255),
    erscheinungsjahr INT,
    autor VARCHAR(255),
    genres VARCHAR(255),
    beschreibung VARCHAR(355)
);
"""

insert_sql = "INSERT INTO buecher (titel, erscheinungsjahr, autor, genres, beschreibung) VALUES \n"

values = []
for buch in data['buecher']:
    genres = ', '.join(buch['genres'])  # Liste in einen String umwandeln
    values.append(f"('{buch['titel']}', {buch['erscheinungsjahr']}, '{buch['autor']}', '{genres}'), '{buch['beschreibung']}'")

insert_sql += ",\n".join(values) + ";"

sql_script = create_table_sql + "\n" + insert_sql

# SQL-Skript in Datei schreiben
with open('script.sql', 'w') as file:
    file.write(sql_script)

print("SQL-Skript erfolgreich generiert und in 'script.sql' gespeichert.")
