CREATE SCHEMA IF NOT EXISTS buecher_public;

Set search_path to buecher_public;

CREATE TABLE buecher (
    titel VARCHAR(255),
    erscheinungsjahr INT,
    autor VARCHAR(255),
    genres VARCHAR(255)
);


INSERT INTO buecher (titel, erscheinungsjahr, autor, genres) VALUES 
('Harry Potter und der Stein der Weisen', 1997, 'J.K. Rowling', 'Fantasy, Jugendbuch'),
('Harry Potter und die Kammer des Schreckens', 1998, 'J.K. Rowling', 'Fantasy, Jugendbuch'),
('Harry Potter und der Gefangene von Askaban', 1999, 'J.K. Rowling', 'Fantasy, Jugendbuch'),
('Harry Potter und der Feuerkelch', 2000, 'J.K. Rowling', 'Fantasy, Jugendbuch'),
('Harry Potter und der Orden des Phönix', 2003, 'J.K. Rowling', 'Fantasy, Jugendbuch'),
('Harry Potter und der Halbblutprinz', 2005, 'J.K. Rowling', 'Fantasy, Jugendbuch'),
('Harry Potter und die Heiligtümer des Todes', 2007, 'J.K. Rowling', 'Fantasy, Jugendbuch'),
('Sofies Welt', 1991, 'Jostein Gaarder', 'Roman, Philosophie'),
('Die Bibel', 2024, 'diverse Autoren', 'Religion, Historisch'),
('Per Anhalter durch die Galaxis', 1979, 'Douglas Adams', 'Science Fiction, Komödie'),
('Rubinrot', 2009, 'Kerstin Gier', 'Fantasy, Jugendbuch'),
('Saphirblau', 2010, 'Kerstin Gier', 'Fantasy, Jugendbuch'),
('Smaragdgrün', 2010, 'Kerstin Gier', 'Fantasy, Jugendbuch'),
('Eragon - Das Vermächtnis der Drachenreiter', 2002, 'Christopher Paolini', 'Fantasy, Jugendbuch'),
('Der Auftrag des Ältesten', 2005, 'Christopher Paolini', 'Fantasy, Jugendbuch'),
('Die Weisheit des Feuers', 2008, 'Christopher Paolini', 'Fantasy, Jugendbuch'),
('Das Erbe der Macht', 2011, 'Rick Riordan', 'Fantasy, Jugendbuch'),
('Der Fluch des Titanen', 2006, 'Rick Riordan', 'Fantasy, Jugendbuch'),
('Die Schlacht um das Labyrinth', 2008, 'Rick Riordan', 'Fantasy, Jugendbuch'),
('Die letzte Göttin', 2010, 'Rick Riordan', 'Fantasy, Jugendbuch'),
('Märchen der Gebrüder Grimm', 1812-1857, 'Gebrüder Grimm', 'Märchen'),
('Die Therapie', 2006, 'Sebastian Fitzek', 'Thriller'),
('Amokspiel', 2007, 'Sebastian Fitzek', 'Thriller'),
('Das Kind', 2008, 'Sebastian Fitzek', 'Thriller'),
('Der Seelenbrecher', 2008, 'Sebastian Fitzek', 'Thriller'),
('Splitter', 2009, 'Sebastian Fitzek', 'Thriller'),
('Die Therapie (Graphic Novel)', 2012, 'Sebastian Fitzek, Adrian vom Baur', 'Thriller, Graphic Novel'),
('Passagier 23', 2012, 'Sebastian Fitzek', 'Thriller'),
('Der Augensammler', 2010, 'Sebastian Fitzek', 'Thriller'),
('Der Augenjäger', 2011, 'Sebastian Fitzek', 'Thriller'),
('Der Augenjäger (Graphic Novel)', 2015, 'Sebastian Fitzek, Vincent Kliesch, Jakob Chychrun', 'Thriller, Graphic Novel'),
('Das Joshua-Profil', 2015, 'Sebastian Fitzek', 'Thriller'),
('Das Paket', 2016, 'Sebastian Fitzek', 'Thriller'),
('Flugangst 7A', 2017, 'Sebastian Fitzek', 'Thriller'),
('AchtNacht', 2017, 'Sebastian Fitzek', 'Thriller'),
('Das Kind (Graphic Novel)', 2018, 'Sebastian Fitzek, Timo Wuerz', 'Thriller, Graphic Novel'),
('Der Insasse', 2018, 'Sebastian Fitzek', 'Thriller'),
('Der Insasse (Graphic Novel)', 2019, 'Sebastian Fitzek, Timo Wuerz', 'Thriller, Graphic Novel'),
('Die Känguru-Chroniken', 2009-2011, 'Marc-Uwe Kling', 'Humor'),
('Faust I', 1808, 'Johann Wolfgang von Goethe', 'Drama, Tragödie'),
('Faust II', 1832, 'Johann Wolfgang von Goethe', 'Drama, Tragödie'),
('Die Leiden des jungen Werthers', 1774, 'Johann Wolfgang von Goethe', 'Briefroman'),
('Iphigenie auf Tauris', 1787, 'Johann Wolfgang von Goethe', 'Drama'),
('Die Räuber', 1781, 'Friedrich Schiller', 'Drama'),
('Kabale und Liebe', 1784, 'Friedrich Schiller', 'Drama'),
('Wilhelm Tell', 1804, 'Friedrich Schiller', 'Drama'),
('Hamlet', 1600, 'William Shakespeare', 'Drama, Tragödie'),
('Romeo und Julia', 1597, 'William Shakespeare', 'Drama, Tragödie'),
('Ein Sommernachtstraum', 1595, 'William Shakespeare', 'Komödie'),
('Sherlock Holmes: Eine Studie in Scharlachrot', 1887, 'Arthur Conan Doyle', 'Krimi, Detektivgeschichte'),
('Sherlock Holmes: Das Zeichen der Vier', 1890, 'Arthur Conan Doyle', 'Krimi, Detektivgeschichte'),
('Sherlock Holmes: Der Hund von Baskerville', 1902, 'Arthur Conan Doyle', 'Krimi, Detektivgeschichte'),
('Sherlock Holmes: Das Tal des Grauens', 1915, 'Arthur Conan Doyle', 'Krimi, Detektivgeschichte'),
('Die Maxton-Hall-Trilogie: Save Me', 2018, 'Mona Kasten', 'Liebesroman'),
('Die Maxton-Hall-Trilogie: Save You', 2018, 'Mona Kasten', 'Liebesroman'),
('Die Maxton-Hall-Trilogie: Save Us', 2018, 'Mona Kasten', 'Liebesroman'),
('Die Tribute von Panem: Tödliche Spiele', 2008, 'Suzanne Collins', 'Science Fiction, Dystopie, Jugendbuch'),
('Die Tribute von Panem: Gefährliche Liebe', 2009, 'Suzanne Collins', 'Science Fiction, Dystopie, Jugendbuch'),
('Die Tribute von Panem: Flammender Zorn', 2010, 'Suzanne Collins', 'Science Fiction, Dystopie, Jugendbuch'),
('Pippi Langstrumpf', 1945-1948, 'Astrid Lindgren', 'Kinderbuch'),
('Ronja Räubertochter', 1981, 'Astrid Lindgren', 'Kinderbuch'),
('Die Brüder Löwenherz', 1973, 'Astrid Lindgren', 'Kinderbuch'),
('Romeo und Juliet Society', 2006, 'Rebecca Serle', 'Jugendbuch, Liebesroman'),
('Das Tagebuch der Anne Frank', 1947, 'Anne Frank', 'Tagebuch, Biografie'),
('Der Kleine Prinz', 1943, 'Antoine de Saint-Exupéry', 'Märchen, Philosophie'),
('Im Westen nichts Neues', 1929, 'Erich Maria Remarque', 'Roman, Anti-Kriegs-Literatur'),
('Die Blechtrommel', 1959, 'Günter Grass', 'Roman, Satire'),
('Dune - Der Wüstenplanet', 1965, 'Frank Herbert', 'Science Fiction'),
('Dune - Der Herr des Wüstenplaneten', 1969, 'Frank Herbert', 'Science Fiction'),
('Dune - Die Kinder des Wüstenplaneten', 1976, 'Frank Herbert', 'Science Fiction'),
('Dune - Der Gottkaiser des Wüstenplaneten', 1981, 'Frank Herbert', 'Science Fiction'),
('Dune - Die Ketzer des Wüstenplaneten', 1984, 'Frank Herbert', 'Science Fiction'),
('Dune - Der Herr des Wüstenplaneten', 1969, 'Frank Herbert', 'Science Fiction');



GRANT USAGE ON SCHEMA buecher_public TO app;
GRANT SELECT ON ALL TABLES IN SCHEMA buecher_public to app;