#!/bin/bash
set -e

psql -v ON_ERROR_STOP=1 --username "$POSTGRES_USER" --dbname "$POSTGRES_DB" <<-EOSQL
  CREATE ROLE app
    WITH
    NOLOGIN
  ;

  CREATE ROLE ${APP_USER}
    WITH
    LOGIN
    PASSWORD '${APP_PASSWORD}'
    IN ROLE app
  ;
  REVOKE ALL PRIVILEGES ON DATABASE postgres FROM app, ${APP_USER};
  GRANT CONNECT ON DATABASE postgres TO app;

EOSQL
